"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HeliSabotageConsoleCompleteEvent = void 0;
const events_1 = require("@skeldjs/events");
/**
 * Emitted when a player completes a console while the heli is sabotaged on Airship.
 */
class HeliSabotageConsoleCompleteEvent extends events_1.RevertableEvent {
    constructor(room, helisabotagesystem, message, 
    /**
     * The player that completed the console. Only availabe if the client
     * is the host.
     */
    player, 
    /**
     * The ID of the console that was completed.
     */
    consoleId) {
        super();
        this.room = room;
        this.helisabotagesystem = helisabotagesystem;
        this.message = message;
        this.player = player;
        this.consoleId = consoleId;
        this.eventName = "heli.consoles.complete";
        this._alteredConsoleId = consoleId;
    }
    /**
     * The ID of the alternate console that will be completed, if changed.
     */
    get alteredConsoleId() {
        return this._alteredConsoleId;
    }
    /**
     * Change the ID of the console that was completed.
     * @param consoleId The ID of the console to complete.
     */
    setConsoleId(consoleId) {
        this._alteredConsoleId = consoleId;
    }
}
exports.HeliSabotageConsoleCompleteEvent = HeliSabotageConsoleCompleteEvent;
HeliSabotageConsoleCompleteEvent.eventName = "heli.consoles.complete";
//# sourceMappingURL=ConsoleComplete.js.map