import { BasicEvent } from "@skeldjs/events";
import { Hostable } from "../../Hostable";
import { PlayerData } from "../../PlayerData";
import { RoomEvent } from "../RoomEvent";
import { PlayerEvent } from "./PlayerEvent";
/**
 * Emitted when a player readies up to start the game.
 *
 * If a player fails to ready up within a specified time, they are kicked from
 * the game.
 */
export declare class PlayerReadyEvent<RoomType extends Hostable = Hostable> extends BasicEvent implements RoomEvent, PlayerEvent {
    readonly room: RoomType;
    readonly player: PlayerData<RoomType>;
    static eventName: "player.ready";
    eventName: "player.ready";
    constructor(room: RoomType, player: PlayerData<RoomType>);
}
//# sourceMappingURL=Ready.d.ts.map