"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlayerSendQuickChatEvent = void 0;
const events_1 = require("@skeldjs/events");
/**
 * Emitted when a player sends a quick chat message. See {@link PlayerSendChatEvent}
 * to litsen for normal chat messages.
 *
 * Due to technical impossibilities, this event cannot be canceled or reverted.
 */
class PlayerSendQuickChatEvent extends events_1.BasicEvent {
    constructor(room, player, message, 
    /**
     * The message that the player sent.
     */
    chatMessage) {
        super();
        this.room = room;
        this.player = player;
        this.message = message;
        this.chatMessage = chatMessage;
        this.eventName = "player.quickchat";
    }
}
exports.PlayerSendQuickChatEvent = PlayerSendQuickChatEvent;
PlayerSendQuickChatEvent.eventName = "player.quickchat";
//# sourceMappingURL=SendQuickChat.js.map