"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlayerSetHatEvent = void 0;
const events_1 = require("@skeldjs/events");
/**
 * Emitted when a player has their player hat updated.
 */
class PlayerSetHatEvent extends events_1.BasicEvent {
    constructor(room, player, message, 
    /**
     * The hat that the player had before.
     */
    oldHatId, 
    /**
     * The new hat that the player has.
     */
    newHatId) {
        super();
        this.room = room;
        this.player = player;
        this.message = message;
        this.oldHatId = oldHatId;
        this.newHatId = newHatId;
        this.eventName = "player.sethat";
        this._atleredHatId = newHatId;
    }
    /**
     * The altered hat that the player will have set instead, if changed.
     */
    get alteredHatId() {
        return this._atleredHatId;
    }
    /**
     * Revert the player's hat back to their old hat.
     */
    revert() {
        this.setHat(this.oldHatId);
    }
    /**
     * Change the hat that the player had set.
     * @param hatId The hat to set.
     */
    setHat(hatId) {
        this._atleredHatId = hatId;
    }
}
exports.PlayerSetHatEvent = PlayerSetHatEvent;
PlayerSetHatEvent.eventName = "player.sethat";
//# sourceMappingURL=SetHat.js.map