import { HazelReader, HazelWriter } from "@skeldjs/util";
import { MeetingHud } from "..";
import { Hostable } from "../Hostable";
export declare class PlayerVoteArea<RoomType extends Hostable = Hostable> {
    readonly meetinghud: MeetingHud<RoomType>;
    playerId: number;
    votedForId: number;
    didReport: boolean;
    constructor(meetinghud: MeetingHud<RoomType>, playerId: number, votedForId: number, didReport: boolean);
    get dirty(): boolean;
    set dirty(value: boolean);
    /**
     * The player that this vote state is for.
     */
    get player(): import("..").PlayerData<RoomType> | undefined;
    /**
     * Whether this player skipped voting.
     */
    get didSkip(): boolean;
    /**
     * Whether this player has either voted for a player or voted to skip.
     */
    get hasVoted(): boolean;
    /**
     * The player that this player voted for, if any.
     */
    get votedFor(): import("..").PlayerData<RoomType> | undefined;
    get canVote(): boolean;
    static Deserialize<RoomType extends Hostable = Hostable>(reader: HazelReader, meetinghud: MeetingHud<RoomType>, playerId: number): PlayerVoteArea<RoomType>;
    Serialize(writer: HazelWriter): void;
    clearVote(): void;
    setSkipped(): void;
    setSuspect(playerId: number): void;
    setMissed(): void;
}
//# sourceMappingURL=PlayerVoteArea.d.ts.map